Subject: Re: [Bitcoin-development] BIP process

From: Wladimir <[email-masked]>
Date: Wed, 15 Oct 2014 11:36:58 +0200

> This all makes a lot of sense to me, and would help a lot with the
> workflow.  Unfortunately github pulls and issues really have nothing
> to faciltate a multistage workflow... e.g. where something can go
> through several steps.

Indeed, pull requests don't have a "status".
It would be possible to (ab)use labels for this.

The drawback of labels is that only the repository team can set these,
there is no way to delegate. But I suppose it'd be possible to build
something on top of the github API that handles this.

> We're also having problems with people failing to comment on things,
> not even "I looked at this and have no opinion", which is really
> obstructing things.

Well - the only way to avoid that is to set a reasonable deadline,
after which there is a default decision. You'd hope this would
motivate people to get involved in time.

Wladimir